<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:binding="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="item"
            type="com.hongyegroup.cpt_parttime.bean.PartJobResult" />

        <import type="android.text.TextUtils" />

    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/selector_white_item_click_bg"
        android:orientation="vertical">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <com.guadou.lib_baselib.font_text_view.TextViewBold
                android:id="@+id/text_view_job_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_10dp"
                android:layout_marginTop="@dimen/d_13dp"
                android:layout_marginRight="@dimen/d_6dp"
                android:layout_marginBottom="@dimen/d_5dp"
                android:layout_toLeftOf="@id/iv_toping"
                android:gravity="start"
                android:text="香格里拉大酒店需要大量经验丰富的员工，至少10人"
                android:textAllCaps="true"
                android:textColor="@color/notify_dark_blue"
                android:textSize="@dimen/d_17sp" />

            <ImageView
                android:id="@+id/iv_toping"
                android:layout_width="43dp"
                android:layout_height="37.5dp"
                android:layout_alignParentRight="true"
                android:layout_gravity="center_vertical"
                android:scaleType="centerCrop"
                android:src="@drawable/job_featured"
                android:visibility="visible" />

        </RelativeLayout>

        <com.guadou.lib_baselib.font_text_view.TextViewRegular
            android:id="@+id/tv_item_job_msg"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/d_10dp"
            android:layout_marginTop="@dimen/d_8dp"
            android:layout_marginRight="@dimen/d_10dp"
            android:background="@drawable/shape_part_time_tips_bg"
            android:includeFontPadding="false"
            android:paddingLeft="@dimen/d_13dp"
            android:paddingTop="@dimen/d_4dp"
            android:paddingRight="@dimen/d_12dp"
            android:paddingBottom="@dimen/d_4dp"
            android:text="你已经申请了这份工作。"
            android:textColor="@color/text_dark_red_f26"
            android:textSize="@dimen/d_13sp"
            android:visibility="visible" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingLeft="@dimen/d_10dp"
            android:paddingTop="@dimen/d_8dp"
            android:paddingRight="@dimen/d_10dp"
            android:paddingBottom="@dimen/d_7dp">

            <!--       工作图片     -->
            <ImageView
                android:id="@+id/iv_job_img"
                android:layout_width="93.5dp"
                android:layout_height="68dp"
                android:background="@drawable/placeholder_img_job_img"
                android:scaleType="centerCrop" />

            <!--   工作已经满了的视图     -->
            <FrameLayout
                android:id="@+id/tv_full_view"
                android:layout_width="93.5dp"
                android:layout_height="68dp"
                android:background="#66000000"
                android:visibility="gone">

                <com.guadou.lib_baselib.font_text_view.TextViewMedium
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:layout_gravity="center"
                    android:background="@drawable/shape_job_img_full_bg"
                    android:gravity="center"
                    android:text="FULL"
                    android:textColor="@color/white"
                    android:textSize="@dimen/d_13dp" />

            </FrameLayout>

            <!--   start date   -->
            <LinearLayout
                android:id="@+id/ll_start_date"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_12dp"
                android:layout_marginTop="@dimen/d_2dp"
                android:layout_toRightOf="@id/iv_job_img"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <com.guadou.lib_baselib.font_text_view.TextViewRegular
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="日期："
                    android:textColor="@color/gray_76"
                    android:textSize="@dimen/d_15sp" />

                <com.guadou.lib_baselib.font_text_view.TextViewMedium
                    android:id="@+id/tv_start_date"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="2022/06/29 周三"
                    android:textColor="@color/text_orange_ff9300"
                    android:textSize="@dimen/d_14sp" />

            </LinearLayout>

            <!--       start time     -->
            <LinearLayout
                android:id="@+id/ll_start_time"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/ll_start_date"
                android:layout_marginLeft="@dimen/d_12dp"
                android:layout_marginTop="@dimen/d_5dp"
                android:layout_toRightOf="@id/iv_job_img"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <com.guadou.lib_baselib.font_text_view.TextViewRegular
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="时间："
                    android:textColor="@color/gray_76"
                    android:textSize="@dimen/d_15sp" />

                <com.guadou.lib_baselib.font_text_view.TextViewMedium
                    android:id="@+id/tv_start_time"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="06:00-23:30"
                    android:textColor="@color/text_orange_ff9300"
                    android:textSize="@dimen/d_14sp" />

            </LinearLayout>

            <!-- 工作时薪 -->
            <LinearLayout
                android:id="@+id/ll_hourly"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_marginEnd="@dimen/d_5dp"
                android:layout_marginRight="@dimen/d_5dp"
                android:orientation="horizontal">

                <com.guadou.lib_baselib.font_text_view.TextViewMedium
                    android:id="@+id/up_to"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="¥10"
                    android:textColor="@color/app_blue"
                    android:textSize="@dimen/d_15sp" />

                <com.guadou.lib_baselib.font_text_view.TextViewRegular
                    android:id="@+id/tv_hr"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="/时"
                    android:textColor="@color/gray_76"
                    android:textSize="@dimen/d_15sp"
                    android:textStyle="bold" />

            </LinearLayout>

            <!-- 价格总计 -->
            <LinearLayout
                android:id="@+id/ll_total"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/ll_hourly"
                android:layout_alignParentRight="true"
                android:layout_marginTop="@dimen/d_15dp"
                android:layout_marginRight="@dimen/d_5dp"
                android:orientation="horizontal">

                <com.guadou.lib_baselib.font_text_view.TextViewRegular
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="5dp"
                    android:text="总计"
                    android:textColor="@color/gray_76"
                    android:textSize="@dimen/d_15sp" />

                <com.guadou.lib_baselib.font_text_view.TextViewMedium
                    android:id="@+id/tv_item_job_total_money"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="¥80"
                    android:textColor="@color/profile_red"
                    android:textSize="@dimen/d_22sp" />

            </LinearLayout>

        </RelativeLayout>


        <com.guadou.lib_baselib.font_text_view.TextViewRegular
            android:layout_width="wrap_content"
            android:layout_height="@dimen/d_24dp"
            android:layout_marginTop="@dimen/d_5dp"
            android:layout_marginLeft="@dimen/d_10dp"
            android:background="@drawable/shape_job_location_bg_yellow"
            android:drawableLeft="@drawable/part_time_job_type_icon"
            android:drawablePadding="@dimen/d_13dp"
            android:gravity="center_vertical"
            android:paddingLeft="@dimen/d_13dp"
            android:paddingRight="@dimen/d_19dp"
            android:text="食品宴席"
            android:textColor="@color/dark_yellow_9f5f09"
            android:textSize="@dimen/d_13sp" />

        <com.guadou.lib_baselib.font_text_view.TextViewRegular
            android:layout_width="wrap_content"
            android:layout_height="@dimen/d_24dp"
            android:layout_marginLeft="@dimen/d_10dp"
            android:layout_marginTop="@dimen/d_10dp"
            android:background="@drawable/shape_job_location_bg_yellow"
            android:drawableLeft="@drawable/part_time_job_address_icon"
            android:drawablePadding="@dimen/d_13dp"
            android:gravity="center_vertical"
            android:paddingLeft="@dimen/d_13dp"
            android:paddingRight="@dimen/d_19dp"
            android:text="湖北省武汉市武昌区光谷软件园J栋1212室"
            android:textColor="@color/dark_yellow_9f5f09"
            android:textSize="@dimen/d_13sp" />

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_0.7dp"
            android:layout_marginTop="@dimen/d_20dp"
            android:background="@color/divider_color_e5" />


    </LinearLayout>

</layout>
